print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricemelon = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local melonHudFile = "Paletten/hud_fill_melon.dds"
	local melonHudFileSmall = "Paletten/hud_fill_melon_smal.dds"
	
    local melonFilType = g_fillTypeManager:addFillType("MELON", g_i18n:getText("melon"), true, pricemelon * 0.7, 0.00045, math.rad(10), melonHudFile, melonHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasmelon=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasmelon=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "MELON" then
		hasmelon=true
	end;
		
end;

		if hasmaize and not hasmelon then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("MELON")
		local price = g_fillTypeManager:getFillTypeByName("MELON").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MELON")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)